// app.js
import request from './utils/request.js'
import simpleReq from './utils/login.js'
App({
  onLaunch() {
    // 展示本地存储能力
    const logs = wx.getStorageSync('logs') || []
    logs.unshift(Date.now())
    wx.setStorageSync('logs', logs)

    // 登录
    wx.login({
      success: res => {
        // 发送 res.code 到后台换取 openId, sessionKey, unionId
      }
    })
  },
  globalData: {
    BASE_URL:"https://api.wish.ydxxkj.top/api",
    userInfo: {
        xyNfc:false
    },
    xx:"1sd撒啊娃娃"
  },
  xzjlReq(){
    return new request()
  }
  ,simpleReq(){
    return new simpleReq()
  }
})
